[CentOS] corrupt rpm problem

Jim Perrin jperrin at gmail.com
Thu Oct 20 15:19:59 UTC 2005

On 10/20/05, Peter Farrow <peter at farrows.org> wrote:
> Hi There,
> Install Centos 4.1 X86-64 onto an athlon64 box.
> unfortunately half way through a yum -y upgrade I press ctrl-c on the
> wrong window and aborted a couple of the packages in the (large) update.
> Now the rpm database things there are multiple packages installed on the
> same rpm versions,
> eg:
>  >rpm -q -a | grep mysql
> mod_auth_mysql-2.6.1-2.2
> php-mysql-4.3.9-3.6
> mysqlclient10-3.23.58-4.RHEL4.1
> mysqlclient10-3.23.58-4.RHEL4.1
> mysql-devel-4.1.10a-2.RHEL4.1
> mysql-4.1.10a-2.RHEL4.1
> mysql-4.1.10a-2.RHEL4.1
> libdbi-dbd-mysql-0.6.5-10.RHEL4.1
> rpm -e mysqlclient10-3.23.58-4.RHEL4.1
> error: "mysqlclient10-3.23.58-4.RHEL4.1" specifies multiple packages

These are most likely packages of different architecture. one i386,
and one x86_64

> So I tried a "yum clean all" and tried again but yum fails with a
> transaction check error with conflicts of rpms onthemselves.
> I did a rpm --rebuilddb  with no joy, and i deleted the __db files from
> /var/lib/rpm - still no joy.

REALLY not the right way to fix it.....

> I cn't install any rpms now as it says there are conflicts....
> I am fresh out of ideas now...
> Any help appreciated...

do the following as root (and for your user also)
echo "%_query_all_fmt %%{name}-%%{version}-%%{release}.%%{arch}" >>

then rpm -q mysqlclient10-3.23.58-4.RHEL4.1, and you will see the
different packages. use the full packagename to remove one. should be
something like mysqlclient10-3.23.58-4.RHEL4.1.i386 or 

Jim Perrin
System Administrator - UIT
Ft Gordon & US Army Signal Center

More information about the CentOS mailing list